<template>
  <div>
    <div v-if="recipes && recipes.length > 0">
      <div v-for="recipe in recipes" class="card-panel yellow lighten-4">
        <b>{{recipe.attributes.name}}</b>
        <hr>
        <img :src="recipe.attributes.image" width="100%">
        <i class="far fa-clock"></i> cook time: {{recipe.attributes.cook_time}},
        prep time: </i> {{recipe.attributes.prep_time}}<br>
        <i class="fas fa-users"></i> {{recipe.attributes.people_quantity}}, 
        Budget: {{recipe.attributes.budget}} <br>
        difficulty: {{recipe.attributes.difficulty}} <br>
        {{recipe.attributes.author_tip}}
        <div>
          <b>Ingredients:</b>
          <div v-for="i in recipe.attributes.ingredients">
            <b class="grey-text">
              <span class="grey-text text-darken-1">{{i.qty}}</span> {{i.unit}}</b> {{i.name}} 
            <small v-if="i.issue" class="red-text">
              (You have: {{i.issue.qty}} {{i.issue.unit}} {{i.issue.name}})
            </small>
          </div>
        </div>
        
        <b>Author: {{recipe.attributes.author}}</b>
      </div>
    </div>
    <div v-else>
      <div class="red-text">
        Opps... No recipes found based on ingredients in your fridge!<br>
      </div>
      <h4><b>Either add more ingredients into the fridge or <a href="https://www.ubereats.com/fr/paris/food-delivery/five-pizza-original-douai/rP2Zx_XhTueKvsA58dB_0w" target="_blank">go Uber Eats :)</a></b></h4>
    </div>
  </div>
</template>
<script>
  export default {
    data() {
      return {
        recipes: []
      }
    },
    created() {
      this.$bus.$on('ingredientAdded', this.getRecipes);
      this.getRecipes()
    },
    methods: {
      getRecipes() {
        this.$http.get("/api/v1/recipes").then(response => {
          this.recipes = response.body.data
        })
        
      }
    }
  }
</script>
